#include <bnb/glsl.frag>

BNB_DECLARE_SAMPLER_2D(0, 1, glfx_BACKGROUND);
BNB_IN(0) vec2 var_uv;

BNB_IN(1) float radius;

void main()
{	
	vec3 sum = 
		0.5*BNB_TEXTURE_2D(BNB_SAMPLER_2D(glfx_BACKGROUND),var_uv).xyz + 
		0.125*(
			BNB_TEXTURE_2D(BNB_SAMPLER_2D(glfx_BACKGROUND),var_uv + vec2( radius, radius)/vec2(bnb_SCREEN.xy)).xyz + 
			BNB_TEXTURE_2D(BNB_SAMPLER_2D(glfx_BACKGROUND),var_uv + vec2(-radius, radius)/vec2(bnb_SCREEN.xy)).xyz + 
			BNB_TEXTURE_2D(BNB_SAMPLER_2D(glfx_BACKGROUND),var_uv + vec2(-radius,-radius)/vec2(bnb_SCREEN.xy)).xyz + 
			BNB_TEXTURE_2D(BNB_SAMPLER_2D(glfx_BACKGROUND),var_uv + vec2( radius,-radius)/vec2(bnb_SCREEN.xy)).xyz); 
	bnb_FragColor = vec4(sum,1.);
}