#include <bnb/glsl.frag>

BNB_DECLARE_SAMPLER_2D(0, 1, tex_df_blur_u1);
BNB_IN(0) vec4 var_uv;
BNB_IN(1) float radius;
void main()
{
	#ifdef BNB_GL_ES_1
		vec3 sum = 
			(1./6.)*(
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw             ).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2(-radius, 0)/vec2(bnb_SCREEN.xy)).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2( 0,-radius)/vec2(bnb_SCREEN.xy)).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2(-radius,-radius)/vec2(bnb_SCREEN.xy)).xyz) + 
			(1./12.)*(
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( radius, 0)/vec2(bnb_SCREEN.xy)).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2(-radius, 0)/vec2(bnb_SCREEN.xy)).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( 0, radius)/vec2(bnb_SCREEN.xy)).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( 0,-radius)/vec2(bnb_SCREEN.xy)).xyz);
	#else
		vec3 sum = 
			(1./6.)*(
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw             ).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2(-radius, 0)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2( 0,-radius)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.zw + vec2(-radius,-radius)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz) + 
			(1./12.)*(
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( radius, 0)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2(-radius, 0)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( 0, radius)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz + 
				BNB_TEXTURE_2D(BNB_SAMPLER_2D(tex_df_blur_u1),var_uv.xy + vec2( 0,-radius)/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_u1),0))).xyz);
	#endif

	bnb_FragColor = vec4(sum,1.);
}