#include <bnb/glsl.vert>
#include <bnb/decode_int1010102.glsl>
#include<bnb/matrix_operations.glsl>
#define bnb_IDX_OFFSET 0
#ifdef BNB_VK_1
#ifdef gl_VertexID
#undef gl_VertexID
#endif
#ifdef gl_InstanceID
#undef gl_InstanceID
#endif
#define gl_VertexID gl_VertexIndex
#define gl_InstanceID gl_InstanceIndex
#endif

BNB_LAYOUT_LOCATION(0) BNB_IN vec3 attrib_pos;


BNB_OUT(0) vec4 var_uv;
BNB_OUT(1) float radius;


BNB_DECLARE_SAMPLER_2D(0, 1, tex_df_blur_d3);

void main()
{	
	radius = js_radius.x;
	vec2 v = attrib_pos.xy;
	gl_Position = vec4( v, 1., 1. );
	var_uv.xy = v*0.5 + 0.5;
	#ifdef BNB_GL_ES_1
		var_uv.zw = var_uv.xy + 0.5/vec2(bnb_SCREEN.xy);
	#else
		var_uv.zw = var_uv.xy + 0.5/vec2(textureSize(BNB_SAMPLER_2D(tex_df_blur_d3),0));
	#endif
}